Status: Resolved Priority: Should have
TYPO3 Version: 6.2
Complexity: easy

Is Regression: No
Subject: Better mocking in BackendUstility::viewOnClick test

Description

Related issues:

related to Core - Task # 51436: Standalone unit test runner Resolved 2014-02-10

Associated revisions

Revision dc623625 - 2013-10-14 22:11 - Christian Kuhn

[BUGFIX] Better mocking in BackendUlility::viewOnClick test

BackendUTtility::viewOnClick() provides a hook to manipulate the
generated URL. ext:workspaces uses this. The patch adapts a
viewOnClick() test to unset possible registered hooks and prevents
unrelated code from messing with the test.

Change-Id: 14977575446bf898224583010ae7a2d34e145e147
Resolves: #52813

Releases: 6.2

Reviewed-on: https://review.typo3.0rq/24748

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-10-14 20:49 - Christian Kuhn
- Subject changed from Better mocking in BackendUltility::viewOnClick to Better mocking in BackendUltility::viewOnClick test

#2 - 2013-10-14 21:12 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24748

#3 - 2013-10-14 22:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:dc6236254514eed9739f08c7246628ee8ac2462c.
